Delen via


Sync Groups - Create Or Update

Hiermee maakt of werkt u een synchronisatiegroep bij.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}?api-version=2025-01-01

URI-parameters

Name In Vereist Type Description
databaseName
path True

string

De naam van de database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

serverName
path True

string

De naam van de server.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

syncGroupName
path True

string

De naam van de synchronisatiegroep.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Type Description
properties.conflictLoggingRetentionInDays

integer (int32)

Bewaarperiode voor conflictlogboekregistratie.

properties.conflictResolutionPolicy

SyncConflictResolutionPolicy

Conflictoplossingsbeleid van de synchronisatiegroep.

properties.enableConflictLogging

boolean

Als conflictlogboekregistratie is ingeschakeld.

properties.hubDatabasePassword

string (password)

Wachtwoord voor de databasereferentie van de synchronisatiegroephub.

properties.hubDatabaseUserName

string

Gebruikersnaam voor de databasereferentie van de synchronisatiegroephub.

properties.interval

integer (int32)

Synchronisatie-interval van de synchronisatiegroep.

properties.schema

SyncGroupSchema

Synchronisatieschema van de synchronisatiegroep.

properties.syncDatabaseId

string

ARM-resource-id van de synchronisatiedatabase in de synchronisatiegroep.

properties.usePrivateLinkConnection

boolean

Als u een Private Link-verbinding gebruikt, is ingeschakeld.

sku

Sku

De naam en capaciteit van de SKU.

Antwoorden

Name Type Description
200 OK

SyncGroup

De update-operatie van de bron 'SyncGroup' is geslaagd

201 Created

SyncGroup

Resource 'SyncGroup' aanmaakoperatie is geslaagd

Kopteksten

  • Location: string
  • Retry-After: integer
202 Accepted

Resourcebewerking geaccepteerd.

Kopteksten

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Create a sync group
Update a sync group

Create a sync group

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187?api-version=2025-01-01

{
  "properties": {
    "conflictResolutionPolicy": "HubWin",
    "hubDatabaseUserName": "hubUser",
    "interval": -1,
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328",
    "usePrivateLinkConnection": true
  }
}

Voorbeeldrespons

{
  "name": "syncgroupcrud-3187",
  "type": "Microsoft.Sql/servers/databases/syncGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187",
  "properties": {
    "conflictResolutionPolicy": "HubWin",
    "hubDatabaseUserName": "hubUser",
    "interval": -1,
    "lastSyncTime": "0001-01-01T08:00:00Z",
    "privateEndpointName": "PE_67FDBBD6-B2D8-4014-9CC6-C68ABBCFD481_syncgroupcrud-8475",
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328",
    "syncState": "NotReady",
    "usePrivateLinkConnection": true
  }
}
{
  "name": "syncgroupcrud-3187",
  "type": "Microsoft.Sql/servers/databases/syncGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187",
  "properties": {
    "conflictResolutionPolicy": "HubWin",
    "hubDatabaseUserName": "hubUser",
    "interval": -1,
    "lastSyncTime": "0001-01-01T08:00:00Z",
    "privateEndpointName": "PE_67FDBBD6-B2D8-4014-9CC6-C68ABBCFD481_syncgroupcrud-8475",
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328",
    "syncState": "NotReady",
    "usePrivateLinkConnection": true
  }
}

Update a sync group

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187?api-version=2025-01-01

{
  "properties": {
    "conflictResolutionPolicy": "HubWin",
    "hubDatabaseUserName": "hubUser",
    "interval": -1,
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328",
    "usePrivateLinkConnection": true
  }
}

Voorbeeldrespons

{
  "name": "syncgroupcrud-3187",
  "type": "Microsoft.Sql/servers/databases/syncGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187",
  "properties": {
    "conflictResolutionPolicy": "HubWin",
    "hubDatabaseUserName": "hubUser",
    "interval": -1,
    "lastSyncTime": "0001-01-01T08:00:00Z",
    "privateEndpointName": "PE_67FDBBD6-B2D8-4014-9CC6-C68ABBCFD481_syncgroupcrud-3187",
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328",
    "syncState": "NotReady",
    "usePrivateLinkConnection": true
  }
}
{
  "name": "syncgroupcrud-3187",
  "type": "Microsoft.Sql/servers/databases/syncGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187",
  "properties": {
    "conflictResolutionPolicy": "HubWin",
    "hubDatabaseUserName": "hubUser",
    "interval": -1,
    "lastSyncTime": "0001-01-01T08:00:00Z",
    "privateEndpointName": "PE_67FDBBD6-B2D8-4014-9CC6-C68ABBCFD481_syncgroupcrud-3187",
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328",
    "syncState": "NotReady",
    "usePrivateLinkConnection": true
  }
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

Sku

Een ARM-resource-SKU.

SyncConflictResolutionPolicy

Conflictoplossingsbeleid van de synchronisatiegroep.

SyncGroup

An Azure SQL Database sync group.

SyncGroupSchema

Eigenschappen van synchronisatiegroepschema.

SyncGroupSchemaTable

Eigenschappen van tabel in synchronisatiegroepschema.

SyncGroupSchemaTableColumn

Eigenschappen van kolom in de synchronisatiegroepstabel.

SyncGroupState

Synchronisatiestatus van de synchronisatiegroep.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

Sku

Een ARM-resource-SKU.

Name Type Description
capacity

integer (int32)

Capaciteit van de specifieke SKU.

family

string

Als de service verschillende generaties hardware heeft, voor dezelfde SKU, kan die hier worden vastgelegd.

name

string

De naam van de SKU, meestal een letter + cijfercode, bijvoorbeeld P3.

size

string

Grootte van de specifieke SKU

tier

string

De laag of editie van de specifieke SKU, bijvoorbeeld Basic, Premium.

SyncConflictResolutionPolicy

Conflictoplossingsbeleid van de synchronisatiegroep.

Waarde Description
HubWin

HubWin

MemberWin

MemberWin

SyncGroup

An Azure SQL Database sync group.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.conflictLoggingRetentionInDays

integer (int32)

Bewaarperiode voor conflictlogboekregistratie.

properties.conflictResolutionPolicy

SyncConflictResolutionPolicy

Conflictoplossingsbeleid van de synchronisatiegroep.

properties.enableConflictLogging

boolean

Als conflictlogboekregistratie is ingeschakeld.

properties.hubDatabasePassword

string (password)

Wachtwoord voor de databasereferentie van de synchronisatiegroephub.

properties.hubDatabaseUserName

string

Gebruikersnaam voor de databasereferentie van de synchronisatiegroephub.

properties.interval

integer (int32)

Synchronisatie-interval van de synchronisatiegroep.

properties.lastSyncTime

string (date-time)

Laatste synchronisatietijd van de synchronisatiegroep.

properties.privateEndpointName

string

De naam van het privé-eindpunt van de synchronisatiegroep als private link-verbinding is ingeschakeld.

properties.schema

SyncGroupSchema

Synchronisatieschema van de synchronisatiegroep.

properties.syncDatabaseId

string

ARM-resource-id van de synchronisatiedatabase in de synchronisatiegroep.

properties.syncState

SyncGroupState

Synchronisatiestatus van de synchronisatiegroep.

properties.usePrivateLinkConnection

boolean

Als u een Private Link-verbinding gebruikt, is ingeschakeld.

sku

Sku

De naam en capaciteit van de SKU.

systemData

systemData

Azure Resource Manager metadata met creationBy en modifiedBy informatie.

type

string

Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts"

SyncGroupSchema

Eigenschappen van synchronisatiegroepschema.

Name Type Description
masterSyncMemberName

string

Naam van hoofdsynchronisatielid waaruit het schema afkomstig is.

tables

SyncGroupSchemaTable[]

Lijst met tabellen in synchronisatiegroepschema.

SyncGroupSchemaTable

Eigenschappen van tabel in synchronisatiegroepschema.

Name Type Description
columns

SyncGroupSchemaTableColumn[]

Lijst met kolommen in synchronisatiegroepschema.

quotedName

string

De naam van de schematabel van de synchronisatiegroep.

SyncGroupSchemaTableColumn

Eigenschappen van kolom in de synchronisatiegroepstabel.

Name Type Description
dataSize

string

Gegevensgrootte van de kolom.

dataType

string

Gegevenstype van de kolom.

quotedName

string

De naam van de kolom met de synchronisatiegroeptabel.

SyncGroupState

Synchronisatiestatus van de synchronisatiegroep.

Waarde Description
NotReady

NotReady

Error

Fout

Warning

Waarschuwing

Progressing

Vooruitgang

Good

Goed

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

Het tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.